summaryrefslogtreecommitdiffstats
path: root/package/howl/files/autoipd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/howl/files/autoipd.init')
-rw-r--r--package/howl/files/autoipd.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/howl/files/autoipd.init b/package/howl/files/autoipd.init
new file mode 100644
index 000000000..eed593603
--- /dev/null
+++ b/package/howl/files/autoipd.init
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/autopid
+RUN_D=/var/run
+PID_F=$RUN_D/autoipd.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ [ -d $RUN_D ] || mkdir -p $RUN_D
+ autoipd $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+exit $?